Problèmes et questions sur les environnements graphiques et les applications.

[Testing] Erreurs mises à jour lib32 - conflit fichiers

#1Messageil y a 1 semaine

Bonsoir,

J'ai eu une mise à jour sous "Testing" .

Voici le retour du terminal :

recherche des conflits entre paquets…

Paquets (10) lib32-libelf-0.175-1  lib32-libva-mesa-driver-18.3.3-1
             lib32-libxshmfence-1.3-1  lib32-libxxf86vm-1.1.4-2  lib32-llvm-libs-7.0.1-1
             lib32-lm_sensors-3.5.0-2  lib32-mesa-18.3.3-1  lib32-mesa-vdpau-18.3.3-1
             lib32-vulkan-intel-18.3.3-1  lib32-vulkan-radeon-18.3.3-1

Taille totale installée :  134,65 MiB

:: Procéder à l’installation ? [O/n] 
(10/10) vérification des clés dans le trousseau        [############################] 100%
(10/10) vérification de l’intégrité des paquets        [############################] 100%
(10/10) chargement des fichiers des paquets            [############################] 100%
(10/10) analyse des conflits entre fichiers            [############################] 100%
erreur : la validation de la transaction a échoué (conflit de fichiers)
lib32-libva-mesa-driver : /usr/lib32/dri/nouveau_drv_video.so est déjà présent dans le système de fichiers
lib32-libva-mesa-driver : /usr/lib32/dri/r600_drv_video.so est déjà présent dans le système de fichiers
lib32-libva-mesa-driver : /usr/lib32/dri/radeonsi_drv_video.so est déjà présent dans le système de fichiers
lib32-libva-mesa-driver : /usr/share/licenses/lib32-libva-mesa-driver/LICENSE est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/d3d/d3dadapter9.so est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/d3d/d3dadapter9.so.1 est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/d3d/d3dadapter9.so.1.0.0 est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/dri/i915_dri.so est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/dri/i965_dri.so est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/dri/kms_swrast_dri.so est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/dri/nouveau_dri.so est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/dri/nouveau_vieux_dri.so est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/dri/r200_dri.so est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/dri/r300_dri.so est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/dri/r600_dri.so est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/dri/radeon_dri.so est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/dri/radeonsi_dri.so est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/dri/swrast_dri.so est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/dri/virtio_gpu_dri.so est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/dri/vmwgfx_dri.so est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/libEGL_mesa.so est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/libEGL_mesa.so.0 est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/libEGL_mesa.so.0.0.0 est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/libGLX_indirect.so.0 est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/libGLX_mesa.so est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/libGLX_mesa.so.0 est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/libGLX_mesa.so.0.0.0 est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/libOSMesa.so est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/libOSMesa.so.8 est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/libOSMesa.so.8.0.0 est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/libgbm.so est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/libgbm.so.1 est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/libgbm.so.1.0.0 est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/libglapi.so est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/libglapi.so.0 est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/libglapi.so.0.0.0 est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/libxatracker.so est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/libxatracker.so.2 est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/libxatracker.so.2.4.0 est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/pkgconfig/d3d.pc est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/pkgconfig/dri.pc est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/pkgconfig/egl.pc est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/pkgconfig/gbm.pc est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/pkgconfig/gl.pc est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/pkgconfig/glesv1_cm.pc est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/pkgconfig/glesv2.pc est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/pkgconfig/osmesa.pc est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/pkgconfig/xatracker.pc est déjà présent dans le système de fichiers
lib32-mesa : /usr/share/licenses/lib32-mesa/LICENSE est déjà présent dans le système de fichiers
lib32-mesa-vdpau : /usr/lib32/vdpau/libvdpau_nouveau.so est déjà présent dans le système de fichiers
lib32-mesa-vdpau : /usr/lib32/vdpau/libvdpau_nouveau.so.1 est déjà présent dans le système de fichiers
lib32-mesa-vdpau : /usr/lib32/vdpau/libvdpau_nouveau.so.1.0 est déjà présent dans le système de fichiers
lib32-mesa-vdpau : /usr/lib32/vdpau/libvdpau_nouveau.so.1.0.0 est déjà présent dans le système de fichiers
lib32-mesa-vdpau : /usr/lib32/vdpau/libvdpau_r300.so est déjà présent dans le système de fichiers
lib32-mesa-vdpau : /usr/lib32/vdpau/libvdpau_r300.so.1 est déjà présent dans le système de fichiers
lib32-mesa-vdpau : /usr/lib32/vdpau/libvdpau_r300.so.1.0 est déjà présent dans le système de fichiers
lib32-mesa-vdpau : /usr/lib32/vdpau/libvdpau_r300.so.1.0.0 est déjà présent dans le système de fichiers
lib32-mesa-vdpau : /usr/lib32/vdpau/libvdpau_r600.so est déjà présent dans le système de fichiers
lib32-mesa-vdpau : /usr/lib32/vdpau/libvdpau_r600.so.1 est déjà présent dans le système de fichiers
lib32-mesa-vdpau : /usr/lib32/vdpau/libvdpau_r600.so.1.0 est déjà présent dans le système de fichiers
lib32-mesa-vdpau : /usr/lib32/vdpau/libvdpau_r600.so.1.0.0 est déjà présent dans le système de fichiers
lib32-mesa-vdpau : /usr/lib32/vdpau/libvdpau_radeonsi.so est déjà présent dans le système de fichiers
lib32-mesa-vdpau : /usr/lib32/vdpau/libvdpau_radeonsi.so.1 est déjà présent dans le système de fichiers
lib32-mesa-vdpau : /usr/lib32/vdpau/libvdpau_radeonsi.so.1.0 est déjà présent dans le système de fichiers
lib32-mesa-vdpau : /usr/lib32/vdpau/libvdpau_radeonsi.so.1.0.0 est déjà présent dans le système de fichiers
lib32-mesa-vdpau : /usr/share/licenses/lib32-mesa-vdpau/LICENSE est déjà présent dans le système de fichiers
lib32-vulkan-intel : /usr/lib32/libvulkan_intel.so est déjà présent dans le système de fichiers
lib32-vulkan-intel : /usr/share/licenses/lib32-vulkan-intel/LICENSE est déjà présent dans le système de fichiers
lib32-vulkan-intel : /usr/share/vulkan/icd.d/intel_icd.i686.json est déjà présent dans le système de fichiers
lib32-vulkan-radeon : /usr/lib32/libvulkan_radeon.so est déjà présent dans le système de fichiers
lib32-vulkan-radeon : /usr/share/licenses/lib32-vulkan-radeon/LICENSE est déjà présent dans le système de fichiers
lib32-vulkan-radeon : /usr/share/vulkan/icd.d/radeon_icd.i686.json est déjà présent dans le système de fichiers
Des erreurs se sont produites, aucun paquet n’a été mis à jour.
Étant donné que c'est la première fois que j'ai un conflit de ce type, que dois-je faire ?
Mon idée première est de tout désinstaller avec un sudo pacman -Rsn.
Selon vous, serait-ce la solution à adopter ?

Merci.

[Testing] Erreurs mises à jour lib32 - conflit fichiers

#2Messageil y a 1 semaine

Bonjour. Es tu certain que tu es bien en Testing ?
Je n'ai rien reçu et il n'y a aucune annonce sur l'inter; la dernière était celle du 27/01.
Je suppose que tu es en unstabble; A vérifier avec inxi -r.
Si c'est le cas, je ne peux que te conseiller de rétrograder au moins en testing avec sudo pacman-mirrors -aB testing -c France,Germany && sudo pacman -Syyuu

[Testing] Erreurs mises à jour lib32 - conflit fichiers

#3Messageil y a 1 semaine

Non, tu as raison, je suis en Unstable, pourtant, je suis sûr et certain de m'être mis en Testing, enfin... :

inxi -r
Repos:
  Active pacman repo servers in: /etc/pacman.d/mirrorlist 
  1: https://mirror.futureweb.be/manjaro/unstable/$repo/$arch
  2: http://kibo.remi.lu/unstable/$repo/$arch
  3: https://mirror.philpot.de/manjaro/unstable/$repo/$arch
  4: https://mirror.koddos.net/manjaro/unstable/$repo/$arch
  5: https://mirror.alpix.eu/manjaro/unstable/$repo/$arch
  6: https://manjaro.moson.eu/unstable/$repo/$arch
  7: https://ftp.nluug.nl/pub/os/Linux/distr/manjaro/unstable/$repo/$arch
  8: https://mirror.netzspielplatz.de/manjaro/packages/unstable/$repo/$arch
Je dois quand même faire un downgrade, à votre avis ?

Édit : j'ai la même chose avec ta commande lemust :

   sudo pacman-mirrors -aB unstable -c France,Germany && sudo pacman -Syyuu
[sudo] Mot de passe de bruno : 
::INFO Branch in config is changed
::INFO Downloading mirrors from repo.manjaro.org
::INFO User generated mirror list
::------------------------------------------------------------
::INFO Custom mirror file saved: /var/lib/pacman-mirrors/custom-mirrors.json
::INFO Using custom mirror file
::INFO Querying mirrors - This may take some time
  0.144 France         : http://kibo.remi.lu/
  0.236 Germany        : https://mirror.alpix.eu/manjaro/
  0.164 Germany        : http://mirror.ragenetwork.de/manjaro/
  0.330 Germany        : https://ftp.halifax.rwth-aachen.de/manjaro/
  0.720 Germany        : ftp://ftp.halifax.rwth-aachen.de/manjaro/
  0.403 Germany        : http://ftp.tu-chemnitz.de/pub/linux/manjaro/
  0.637 Germany        : ftp://ftp.tu-chemnitz.de/pub/linux/manjaro/
  0.357 Germany        : https://mirror.netzspielplatz.de/manjaro/packages/
  0.288 Germany        : https://repo.rhindon.net/manjaro/
  0.224 Germany        : http://ftp.rz.tu-bs.de/pub/mirror/manjaro.org/repos/
  0.650 Germany        : ftp://ftp.rz.tu-bs.de/pub/mirror/manjaro.org/repos/
  0.194 Germany        : https://mirror.philpot.de/manjaro/
  0.143 Germany        : http://mirror.philpot.de/manjaro/
  0.328 Germany        : https://manjaro.moson.eu/
  0.274 Germany        : http://manjaro.moson.eu/
::INFO Writing mirror list
::Germany         : https://mirror.philpot.de/manjaro/unstable/$repo/$arch
::France          : http://kibo.remi.lu/unstable/$repo/$arch
::Germany         : http://mirror.ragenetwork.de/manjaro/unstable/$repo/$arch
::Germany         : https://mirror.alpix.eu/manjaro/unstable/$repo/$arch
::Germany         : https://manjaro.moson.eu/unstable/$repo/$arch
::Germany         : https://repo.rhindon.net/manjaro/unstable/$repo/$arch
::Germany         : https://mirror.netzspielplatz.de/manjaro/packages/unstable/$repo/$arch
::Germany         : http://ftp.tu-chemnitz.de/pub/linux/manjaro/unstable/$repo/$arch
::Germany         : http://ftp.rz.tu-bs.de/pub/mirror/manjaro.org/repos/unstable/$repo/$arch
::Germany         : https://ftp.halifax.rwth-aachen.de/manjaro/unstable/$repo/$arch
::INFO Mirror list generated and saved to: /etc/pacman.d/mirrorlist
::INFO To reset custom mirrorlist 'sudo pacman-mirrors -id'
::INFO To remove custom config run  'sudo pacman-mirrors -c all'
:: Synchronisation des bases de données de paquets…
 core                         148,4 KiB  1927K/s 00:00 [############################] 100%
 extra                       1837,2 KiB  20,6M/s 00:00 [############################] 100%
 community                      5,2 MiB  36,9M/s 00:00 [############################] 100%
 multilib                     186,4 KiB  60,7M/s 00:00 [############################] 100%
:: Début de la mise à jour complète du système…
résolution des dépendances…
recherche des conflits entre paquets…

Paquets (10) lib32-libelf-0.175-1  lib32-libva-mesa-driver-18.3.3-1
             lib32-libxshmfence-1.3-1  lib32-libxxf86vm-1.1.4-2  lib32-llvm-libs-7.0.1-1
             lib32-lm_sensors-3.5.0-2  lib32-mesa-18.3.3-1  lib32-mesa-vdpau-18.3.3-1
             lib32-vulkan-intel-18.3.3-1  lib32-vulkan-radeon-18.3.3-1

Taille totale installée :  134,65 MiB

:: Procéder à l’installation ? [O/n] 
(10/10) vérification des clés dans le trousseau        [############################] 100%
(10/10) vérification de l’intégrité des paquets        [############################] 100%
(10/10) chargement des fichiers des paquets            [############################] 100%
(10/10) analyse des conflits entre fichiers            [############################] 100%
erreur : la validation de la transaction a échoué (conflit de fichiers)
lib32-libva-mesa-driver : /usr/lib32/dri/nouveau_drv_video.so est déjà présent dans le système de fichiers
lib32-libva-mesa-driver : /usr/lib32/dri/r600_drv_video.so est déjà présent dans le système de fichiers
lib32-libva-mesa-driver : /usr/lib32/dri/radeonsi_drv_video.so est déjà présent dans le système de fichiers
lib32-libva-mesa-driver : /usr/share/licenses/lib32-libva-mesa-driver/LICENSE est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/d3d/d3dadapter9.so est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/d3d/d3dadapter9.so.1 est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/d3d/d3dadapter9.so.1.0.0 est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/dri/i915_dri.so est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/dri/i965_dri.so est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/dri/kms_swrast_dri.so est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/dri/nouveau_dri.so est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/dri/nouveau_vieux_dri.so est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/dri/r200_dri.so est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/dri/r300_dri.so est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/dri/r600_dri.so est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/dri/radeon_dri.so est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/dri/radeonsi_dri.so est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/dri/swrast_dri.so est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/dri/virtio_gpu_dri.so est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/dri/vmwgfx_dri.so est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/libEGL_mesa.so est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/libEGL_mesa.so.0 est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/libEGL_mesa.so.0.0.0 est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/libGLX_indirect.so.0 est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/libGLX_mesa.so est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/libGLX_mesa.so.0 est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/libGLX_mesa.so.0.0.0 est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/libOSMesa.so est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/libOSMesa.so.8 est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/libOSMesa.so.8.0.0 est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/libgbm.so est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/libgbm.so.1 est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/libgbm.so.1.0.0 est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/libglapi.so est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/libglapi.so.0 est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/libglapi.so.0.0.0 est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/libxatracker.so est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/libxatracker.so.2 est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/libxatracker.so.2.4.0 est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/pkgconfig/d3d.pc est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/pkgconfig/dri.pc est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/pkgconfig/egl.pc est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/pkgconfig/gbm.pc est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/pkgconfig/gl.pc est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/pkgconfig/glesv1_cm.pc est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/pkgconfig/glesv2.pc est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/pkgconfig/osmesa.pc est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/pkgconfig/xatracker.pc est déjà présent dans le système de fichiers
lib32-mesa : /usr/share/licenses/lib32-mesa/LICENSE est déjà présent dans le système de fichiers
lib32-mesa-vdpau : /usr/lib32/vdpau/libvdpau_nouveau.so est déjà présent dans le système de fichiers
lib32-mesa-vdpau : /usr/lib32/vdpau/libvdpau_nouveau.so.1 est déjà présent dans le système de fichiers
lib32-mesa-vdpau : /usr/lib32/vdpau/libvdpau_nouveau.so.1.0 est déjà présent dans le système de fichiers
lib32-mesa-vdpau : /usr/lib32/vdpau/libvdpau_nouveau.so.1.0.0 est déjà présent dans le système de fichiers
lib32-mesa-vdpau : /usr/lib32/vdpau/libvdpau_r300.so est déjà présent dans le système de fichiers
lib32-mesa-vdpau : /usr/lib32/vdpau/libvdpau_r300.so.1 est déjà présent dans le système de fichiers
lib32-mesa-vdpau : /usr/lib32/vdpau/libvdpau_r300.so.1.0 est déjà présent dans le système de fichiers
lib32-mesa-vdpau : /usr/lib32/vdpau/libvdpau_r300.so.1.0.0 est déjà présent dans le système de fichiers
lib32-mesa-vdpau : /usr/lib32/vdpau/libvdpau_r600.so est déjà présent dans le système de fichiers
lib32-mesa-vdpau : /usr/lib32/vdpau/libvdpau_r600.so.1 est déjà présent dans le système de fichiers
lib32-mesa-vdpau : /usr/lib32/vdpau/libvdpau_r600.so.1.0 est déjà présent dans le système de fichiers
lib32-mesa-vdpau : /usr/lib32/vdpau/libvdpau_r600.so.1.0.0 est déjà présent dans le système de fichiers
lib32-mesa-vdpau : /usr/lib32/vdpau/libvdpau_radeonsi.so est déjà présent dans le système de fichiers
lib32-mesa-vdpau : /usr/lib32/vdpau/libvdpau_radeonsi.so.1 est déjà présent dans le système de fichiers
lib32-mesa-vdpau : /usr/lib32/vdpau/libvdpau_radeonsi.so.1.0 est déjà présent dans le système de fichiers
lib32-mesa-vdpau : /usr/lib32/vdpau/libvdpau_radeonsi.so.1.0.0 est déjà présent dans le système de fichiers
lib32-mesa-vdpau : /usr/share/licenses/lib32-mesa-vdpau/LICENSE est déjà présent dans le système de fichiers
lib32-vulkan-intel : /usr/lib32/libvulkan_intel.so est déjà présent dans le système de fichiers
lib32-vulkan-intel : /usr/share/licenses/lib32-vulkan-intel/LICENSE est déjà présent dans le système de fichiers
lib32-vulkan-intel : /usr/share/vulkan/icd.d/intel_icd.i686.json est déjà présent dans le système de fichiers
lib32-vulkan-radeon : /usr/lib32/libvulkan_radeon.so est déjà présent dans le système de fichiers
lib32-vulkan-radeon : /usr/share/licenses/lib32-vulkan-radeon/LICENSE est déjà présent dans le système de fichiers
lib32-vulkan-radeon : /usr/share/vulkan/icd.d/radeon_icd.i686.json est déjà présent dans le système de fichiers
Des erreurs se sont produites, aucun paquet n’a été mis à jour.

Mais rien ne change, maintenant, j'ai 149 paquets à mettre à jour. Avec le terminal, il me répond qu'il n'y à rien à faire. Mais pamac me dit le contraire. C'est certainement une erreur dans les dépôts...

:rendre::rendre::sos:
Modifié en dernier par obelix1502 le 07 Fév 2019, 09:10, modifié 1 fois.

[Testing] Erreurs mises à jour lib32 - conflit fichiers

#4Messageil y a 1 semaine

Ça me paraît plus raisonnable. Unstable reçoit les premiers jets des paquets venant de Arch et ne sont pas toujours compatibles avec les spécificités de Manjaro, notamment avec le gestionnaire de pilote mhwd. Ce dépôt est surtout utile aux dévs.
Testing est destiné au beta-testeurs comme nous qui remontons sur l'inter les problèmes que nous rencontrons ce qui permet d'affiner avant de publier en Stable.
Edit: Essaye

sudo mhwd -a -f pci free 0300
Edit2 Tu as revisé unstable et non testing

[Testing] Erreurs mises à jour lib32 - conflit fichiers

#5Messageil y a 1 semaine

Il me répond "option invalide" :

   sudo mhwd -a -f pci free 0300
[sudo] Mot de passe de bruno : 
Error: invalid use of option: -a/--auto
Pourtant avec mhwd -h, l'option -a est bien reprise pour --auto:pleure::pleure:

Réponse édit 2J'ai essayé la commande avec testing, tout se passe bien avec le terminal, mais ensuite, j'ai 149 màj avec pamac, dont ces fameux lib32...
Modifié en dernier par obelix1502 le 07 Fév 2019, 09:21, modifié 1 fois.

[Testing] Erreurs mises à jour lib32 - conflit fichiers

#6Messageil y a 1 semaine

Bon, repasse déjà en testing ou en stable, Tu as remis unstable dans la commande.

[Testing] Erreurs mises à jour lib32 - conflit fichiers

#7Messageil y a 1 semaine

Je suis repassé en testing :

 sudo pacman-mirrors --api --set-branch testing
[sudo] Mot de passe de bruno : 
::INFO Branch in config is changed
::INFO Downloading mirrors from repo.manjaro.org
::INFO Using custom mirror file
::INFO Querying mirrors - This may take some time
  0.242 France         : http://ftp.free.org/mirrors/repo.manjaro.org/repos/
  0.348 France         : ftp://ftp.free.org/mirrors/repo.manjaro.org/repos/
  0.114 France         : http://kibo.remi.lu/
  0.248 Germany        : https://mirror.alpix.eu/manjaro/
  0.160 Germany        : http://mirror.ragenetwork.de/manjaro/
  0.295 Germany        : https://ftp.halifax.rwth-aachen.de/manjaro/
  0.737 Germany        : ftp://ftp.halifax.rwth-aachen.de/manjaro/
  0.465 Germany        : http://ftp.tu-chemnitz.de/pub/linux/manjaro/
  0.651 Germany        : ftp://ftp.tu-chemnitz.de/pub/linux/manjaro/
  0.378 Germany        : https://mirror.netzspielplatz.de/manjaro/packages/
  0.278 Germany        : https://repo.rhindon.net/manjaro/
  0.173 Germany        : http://ftp.rz.tu-bs.de/pub/mirror/manjaro.org/repos/
  0.619 Germany        : ftp://ftp.rz.tu-bs.de/pub/mirror/manjaro.org/repos/
  0.184 Germany        : https://mirror.philpot.de/manjaro/
  0.158 Germany        : http://mirror.philpot.de/manjaro/
  0.343 Germany        : https://manjaro.moson.eu/
  0.281 Germany        : http://manjaro.moson.eu/
::INFO Writing mirror list
::France          : http://kibo.remi.lu/testing/$repo/$arch
::Germany         : https://mirror.philpot.de/manjaro/testing/$repo/$arch
::Germany         : http://mirror.ragenetwork.de/manjaro/testing/$repo/$arch
::Germany         : https://mirror.alpix.eu/manjaro/testing/$repo/$arch
::Germany         : https://repo.rhindon.net/manjaro/testing/$repo/$arch
::Germany         : https://manjaro.moson.eu/testing/$repo/$arch
::France          : http://ftp.free.org/mirrors/repo.manjaro.org/repos/testing/$repo/$arch
::Germany         : https://mirror.netzspielplatz.de/manjaro/packages/testing/$repo/$arch
::Germany         : http://ftp.rz.tu-bs.de/pub/mirror/manjaro.org/repos/testing/$repo/$arch
::Germany         : http://ftp.tu-chemnitz.de/pub/linux/manjaro/testing/$repo/$arch
::Germany         : https://ftp.halifax.rwth-aachen.de/manjaro/testing/$repo/$arch
::INFO Mirror list generated and saved to: /etc/pacman.d/mirrorlist
::INFO To reset custom mirrorlist 'sudo pacman-mirrors -id'
::INFO To remove custom config run  'sudo pacman-mirrors -c all'

   sudo pacman-mirrors --fasttrack 5 && sudo pacman -Syyu
::INFO Downloading mirrors from repo.manjaro.org
::INFO Using custom mirror file
::INFO Querying mirrors - This may take some time
  0.332 Germany        : http://ftp.tu-chemnitz.de/pub/linux/manjaro/
  0.656 Germany        : ftp://ftp.tu-chemnitz.de/pub/linux/manjaro/
  0.220 France         : http://ftp.free.org/mirrors/repo.manjaro.org/repos/
  0.477 France         : ftp://ftp.free.org/mirrors/repo.manjaro.org/repos/
  0.119 France         : http://kibo.remi.lu/
  0.178 Germany        : http://ftp.rz.tu-bs.de/pub/mirror/manjaro.org/repos/
  0.537 Germany        : ftp://ftp.rz.tu-bs.de/pub/mirror/manjaro.org/repos/
  0.156 Germany        : http://mirror.ragenetwork.de/manjaro/
::INFO Writing mirror list
::France          : http://kibo.remi.lu/testing/$repo/$arch
::Germany         : http://mirror.ragenetwork.de/manjaro/testing/$repo/$arch
::France          : http://ftp.free.org/mirrors/repo.manjaro.org/repos/testing/$repo/$arch
::Germany         : http://ftp.rz.tu-bs.de/pub/mirror/manjaro.org/repos/testing/$repo/$arch
::Germany         : http://ftp.tu-chemnitz.de/pub/linux/manjaro/testing/$repo/$arch
::INFO Mirror list generated and saved to: /etc/pacman.d/mirrorlist
:: Synchronisation des bases de données de paquets…
 core                         148,5 KiB  2,90M/s 00:00 [############################] 100%
 extra                       1864,3 KiB  21,9M/s 00:00 [############################] 100%
 community                      5,2 MiB  39,8M/s 00:00 [############################] 100%
 multilib                     186,7 KiB  60,8M/s 00:00 [############################] 100%
:: Début de la mise à jour complète du système…
 il n’y a rien à faire
Mais pamac me dit qu'il y a 114 màj à effectuer :censure::censure:

[Testing] Erreurs mises à jour lib32 - conflit fichiers

#8Messageil y a 1 semaine

Si tu lances pamac update , tu devrais arriver aussi à "il n'y a rien a faire".

[Testing] Erreurs mises à jour lib32 - conflit fichiers

#9Messageil y a 1 semaine

Eh bien malheureusement si, il me met la centaine de màj à effectuer et qui retournent encore les erreurs lib32 :

   sudo pamac update
[sudo] Mot de passe de bruno : 
Synchronisation des bases de données des paquets...
Début de la mise à jour complète du système...

** (process:26779): CRITICAL **: 10:26:45.092: Failed to get connection to xfconfd: Erreur lors de la génération de la ligne de commande « dbus-launch --autolaunch=b27c4e405cf74c5a8a8a548939614fdd --binary-syntax --close-stderr » : Le processus fils s’est terminé avec le code 1
Résolution des dépendances...
Recherche des conflits entre paquets...
À mettre à jour  (114):
  iana-etc                           20190125-1               (20181219-1)               core       
  harfbuzz                           2.3.1-1                  (2.3.0-1)                  extra      
  mesa                               18.3.3-1                 (18.3.2-1)                 extra      
  libnghttp2                         1.36.0-1                 (1.35.1-1)                 core       
  libgpg-error                       1.35-1                   (1.34-1)                   core       
  libsystemd                         241rc2-3                 (239.303+really+239.6-1)   core       
  systemd                            241rc2-3                 (239.303+really+239.6-1)   core       
  ca-certificates-mozilla            3.42.1-1                 (3.41-1)                   core       
  gnutls                             3.6.6-1                  (3.6.5-4)                  core       
  xf86-input-libinput                0.28.2-1                 (0.28.1-1)                 extra      
  xkeyboard-config                   2.26-1                   (2.25-1)                   extra      
  avidemux-cli                       2.7.1-6                  (2.7.1-5)                  extra      
  shared-mime-info                   1.12-1                   (1.10-1)                   extra      
  qt5-base                           5.12.1-1.1               (5.12.0-3.0)               extra      
  x265                               3.0-1                    (2.9-1)                    extra      
  ffmpeg                             1:4.1-3                  (1:4.1-1)                  extra      
  avidemux-qt                        2.7.1-6                  (2.7.1-5)                  extra      
  python2-dateutil                   2.8.0-1                  (2.7.5-1)                  community  
  python2-msgpack                    0.6.1-1                  (0.6.0-1)                  community  
  pyqt5-common                       5.11.3-4                 (5.11.3-2)                 extra      
  python2-pyqt5                      5.11.3-4                 (5.11.3-2)                 extra      
  qt5-declarative                    5.12.1-1                 (5.12.0-1)                 extra      
  qt5-location                       5.12.1-1                 (5.12.0-1)                 extra      
  qt5-sensors                        5.12.1-1                 (5.12.0-1)                 extra      
  qt5-webchannel                     5.12.1-1                 (5.12.0-1)                 extra      
  qt5-webkit                         5.212.0alpha2-23         (5.212.0alpha2-22)         extra      
  qt5-svg                            5.12.1-1                 (5.12.0-1)                 extra      
  python2-regex                      2019.02.05-1             (2019.01.24-1)             community  
  gtk-update-icon-cache              3.24.5-1                 (3.24.4-1)                 extra      
  python2-setuptools                 1:40.7.3-1               (1:40.6.3-1)               extra      
  libunrar                           1:5.7.1-1                (1:5.6.8-1)                extra      
  ndctl                              64-1                     (63-1)                     extra      
  mpfr                               4.0.2-1                  (4.0.1-1)                  core       
  nss                                3.42.1-1                 (3.41-1)                   core       
  calibre                            3.39.1-1                 (3.38.1-1)                 community  
  catfish                            1.4.7-1                  (1.4.6-2)                  community  
  rhash                              1.3.8-1                  (1.3.7-1)                  extra      
  cmake                              3.13.4-1                 (3.13.3-1)                 extra      
  cozy-desktop                       3.12.0-1                 (3.11.2-2)                 community  
  electron                           3.1.3-1                  (3.1.1-1)                  community  
  enet                               1.3.14-1                 (1.3.13-2)                 community  
  firefox                            65.0-1                   (65.0-0)                   extra      
  firefox-i18n-fr                    65.0-1                   (65.0-0)                   extra      
  xdg-desktop-portal-gtk             1.2.0-1                  (1.1.1-1)                  extra      
  xdg-desktop-portal                 1.2.0-2                  (1.1.1-2)                  extra      
  flatpak                            1.2.2-1                  (1.1.3-2)                  extra      
  glibmm                             2.58.0-1                 (2.56.0-1)                 extra      
  gnome-desktop                      1:3.30.2.1-1             (1:3.30.2-1)               extra      
  ladspa                             1.15-1                   (1.13-7)                   extra      
  vulkan-icd-loader                  1.1.99+3022+e1eafa18e-1  (1.1.96+3009+32d33e965-1)  extra      
  gst-plugins-bad                    1.14.4-7                 (1.14.4-5)                 extra      
  harfbuzz-icu                       2.3.1-1                  (2.3.0-1)                  extra      
  perl-xml-libxml                    2.0133-1                 (2.0132-2)                 extra      
  libmagick                          7.0.8.26-1               (7.0.8.24-1)               extra      
  imagemagick                        7.0.8.26-1               (7.0.8.24-1)               extra      
  qpdf                               8.4.0-1                  (8.3.0-1)                  extra      
  hplip                              1:3.19.1-1               (1:3.18.12-2)              extra      
  kcodecs                            5.54.0-2                 (5.54.0-1)                 extra      
  qt5-x11extras                      5.12.1-1                 (5.12.0-1)                 extra      
  kvantum-qt5                        0.10.9-1                 (0.10.8-1)                 community  
  lib32-expat                        2.2.6-2                  (2.2.6-1)                  multilib   
  lib32-systemd                      241rc2-3                 (239.303+really+239.6-1)   multilib   
  lib32-gnutls                       3.6.6-1                  (3.6.5-1)                  multilib   
  lib32-harfbuzz                     2.3.1-1                  (2.3.0-1)                  multilib   
  lib32-libva-mesa-driver            18.3.3-1                 (18.3.2-0)                 multilib   
  lib32-mesa                         18.3.3-1                 (18.3.2-0)                 multilib   
  lib32-mesa-vdpau                   18.3.3-1                 (18.3.2-0)                 multilib   
  lib32-vulkan-intel                 18.3.3-1                 (18.3.2-0)                 multilib   
  lib32-vulkan-radeon                18.3.3-1                 (18.3.2-0)                 multilib   
  lib32-zstd                         1.3.8-1                  (1.3.7-1)                  multilib   
  libcdio-paranoia                   10.2+2.0.0-1             (10.2+0.94+2-2)            extra      
  libtommath                         1.1.0-1                  (1.0.1-1)                  extra      
  libfbclient                        3.0.4.33054-1            (2.5.8.27089-3)            extra      
  libheif                            1.3.2-3                  (1.3.2-2)                  extra      
  libpipeline                        1.5.1-1                  (1.5.0-1)                  core       
  libreoffice-fresh                  6.1.4-5                  (6.1.4-4)                  extra      
  libva-mesa-driver                  18.3.3-1                 (18.3.2-1)                 extra      
  linux419                           4.19.19-1                (4.19.18-1)                core       
  linux419-nvidia                    1:415.27-4               (1:415.27-3)               extra      
  linux419-virtualbox-guest-modules  6.0.4-2                  (6.0.2-3)                  extra      
  linux419-virtualbox-host-modules   6.0.4-2                  (6.0.2-3)                  extra      
  linux420                           4.20.6-1                 (4.20.5-1)                 core       
  linux420-nvidia                    1:415.27-4               (1:415.27-3)               extra      
  linux420-virtualbox-guest-modules  6.0.4-2                  (6.0.2-3)                  extra      
  linux420-virtualbox-host-modules   6.0.4-2                  (6.0.2-3)                  extra      
  lv2                                1.16.0-1                 (1.14.0-3)                 community  
  mesa-vdpau                         18.3.3-1                 (18.3.2-1)                 extra      
  opera                              58.0.3135.47-1           (57.0.3098.116-1)          community  
  papirus-icon-theme                 20190203-1               (20190106-1)               community  
  python-anytree                     2.5.0-1                  (2.4.3-2)                  extra      
  python-msgpack                     0.6.1-1                  (0.6.0-1)                  community  
  python-setuptools                  1:40.7.3-1               (1:40.6.3-1)               extra      
  python-pycodestyle                 2.5.0-1                  (2.4.0-2)                  community  
  python-pycryptodomex               3.7.3-1                  (3.7.2-1)                  community  
  python-pyqt5                       5.11.3-4                 (5.11.3-2)                 extra      
  python-regex                       2019.02.05-1             (2019.01.24-1)             community  
  python2-cryptography               2.5-1                    (2.4.2-1)                  extra      
  qt5-multimedia                     5.12.1-1                 (5.12.0-1)                 extra      
  qt5-quickcontrols                  5.12.1-1                 (5.12.0-1)                 extra      
  qt5-script                         5.12.1-1                 (5.12.0-1)                 extra      
  qt5-speech                         5.12.1-1                 (5.12.0-1)                 extra      
  qt5-styleplugins                   5.0.0.20170311-10        (5.0.0.20170311-9)         community  
  qt5-xmlpatterns                    5.12.1-1                 (5.12.0-1)                 extra      
  ruby                               2.6.1-1                  (2.6.0-5)                  extra      
  systemd-sysvcompat                 241rc2-3                 (239.303+really+239.6-1)   core       
  unrar                              1:5.7.1-1                (1:5.6.8-1)                extra      
  virtualbox                         6.0.4-1                  (6.0.2-1)                  community  
  vlc                                3.0.6-2                  (3.0.6-1)                  extra      
  vulkan-intel                       18.3.3-1                 (18.3.2-1)                 extra      
  vulkan-radeon                      18.3.3-1                 (18.3.2-1)                 extra      
  xf86-video-nouveau                 1.0.16-1                 (1.0.15-3)                 extra      
  youtube-dl                         2019.01.30.1-1           (2019.01.17-1)             community  
  zsh                                5.7.1-1                  (5.6.2-1)                  extra      
  zsh-doc                            5.7.1-1                  (5.6.2-1)                  extra      
À installer  (5):
  lib32-llvm-libs                    7.0.1-1                                             multilib   
  lib32-libelf                       0.175-1                                             multilib   
  lib32-libxshmfence                 1.3-1                                               multilib   
  lib32-libxxf86vm                   1.1.4-2                                             multilib   
  lib32-lm_sensors                   3.5.0-2                                             multilib   

Taille totale installée: 115,4 Mo
Exécuter la transaction ? [o/N] o


Vérification du trousseau...                                                     [119/119]
Vérification de l’intégrité des paquets...                                       [119/119]
Chargement des fichiers des paquets...                                           [119/119]
Analyse des conflits entre fichiers...                                           [119/119]
Erreur: La validation de la transaction a échoué:
conflit de fichiers:
lib32-libva-mesa-driver : /usr/lib32/dri/nouveau_drv_video.so est déjà présent dans le système de fichiers
lib32-libva-mesa-driver : /usr/lib32/dri/r600_drv_video.so est déjà présent dans le système de fichiers
lib32-libva-mesa-driver : /usr/lib32/dri/radeonsi_drv_video.so est déjà présent dans le système de fichiers
lib32-libva-mesa-driver : /usr/share/licenses/lib32-libva-mesa-driver/LICENSE est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/d3d/d3dadapter9.so est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/d3d/d3dadapter9.so.1 est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/d3d/d3dadapter9.so.1.0.0 est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/dri/i915_dri.so est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/dri/i965_dri.so est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/dri/kms_swrast_dri.so est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/dri/nouveau_dri.so est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/dri/nouveau_vieux_dri.so est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/dri/r200_dri.so est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/dri/r300_dri.so est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/dri/r600_dri.so est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/dri/radeon_dri.so est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/dri/radeonsi_dri.so est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/dri/swrast_dri.so est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/dri/virtio_gpu_dri.so est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/dri/vmwgfx_dri.so est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/libEGL_mesa.so est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/libEGL_mesa.so.0 est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/libEGL_mesa.so.0.0.0 est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/libGLX_indirect.so.0 est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/libGLX_mesa.so est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/libGLX_mesa.so.0 est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/libGLX_mesa.so.0.0.0 est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/libOSMesa.so est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/libOSMesa.so.8 est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/libOSMesa.so.8.0.0 est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/libgbm.so est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/libgbm.so.1 est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/libgbm.so.1.0.0 est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/libglapi.so est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/libglapi.so.0 est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/libglapi.so.0.0.0 est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/libxatracker.so est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/libxatracker.so.2 est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/libxatracker.so.2.4.0 est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/pkgconfig/d3d.pc est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/pkgconfig/dri.pc est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/pkgconfig/egl.pc est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/pkgconfig/gbm.pc est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/pkgconfig/gl.pc est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/pkgconfig/glesv1_cm.pc est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/pkgconfig/glesv2.pc est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/pkgconfig/osmesa.pc est déjà présent dans le système de fichiers
lib32-mesa : /usr/lib32/pkgconfig/xatracker.pc est déjà présent dans le système de fichiers
lib32-mesa : /usr/share/licenses/lib32-mesa/LICENSE est déjà présent dans le système de fichiers
lib32-mesa-vdpau : /usr/lib32/vdpau/libvdpau_nouveau.so est déjà présent dans le système de fichiers
lib32-mesa-vdpau : /usr/lib32/vdpau/libvdpau_nouveau.so.1 est déjà présent dans le système de fichiers
lib32-mesa-vdpau : /usr/lib32/vdpau/libvdpau_nouveau.so.1.0 est déjà présent dans le système de fichiers
lib32-mesa-vdpau : /usr/lib32/vdpau/libvdpau_nouveau.so.1.0.0 est déjà présent dans le système de fichiers
lib32-mesa-vdpau : /usr/lib32/vdpau/libvdpau_r300.so est déjà présent dans le système de fichiers
lib32-mesa-vdpau : /usr/lib32/vdpau/libvdpau_r300.so.1 est déjà présent dans le système de fichiers
lib32-mesa-vdpau : /usr/lib32/vdpau/libvdpau_r300.so.1.0 est déjà présent dans le système de fichiers
lib32-mesa-vdpau : /usr/lib32/vdpau/libvdpau_r300.so.1.0.0 est déjà présent dans le système de fichiers
lib32-mesa-vdpau : /usr/lib32/vdpau/libvdpau_r600.so est déjà présent dans le système de fichiers
lib32-mesa-vdpau : /usr/lib32/vdpau/libvdpau_r600.so.1 est déjà présent dans le système de fichiers
lib32-mesa-vdpau : /usr/lib32/vdpau/libvdpau_r600.so.1.0 est déjà présent dans le système de fichiers
lib32-mesa-vdpau : /usr/lib32/vdpau/libvdpau_r600.so.1.0.0 est déjà présent dans le système de fichiers
lib32-mesa-vdpau : /usr/lib32/vdpau/libvdpau_radeonsi.so est déjà présent dans le système de fichiers
lib32-mesa-vdpau : /usr/lib32/vdpau/libvdpau_radeonsi.so.1 est déjà présent dans le système de fichiers
lib32-mesa-vdpau : /usr/lib32/vdpau/libvdpau_radeonsi.so.1.0 est déjà présent dans le système de fichiers
lib32-mesa-vdpau : /usr/lib32/vdpau/libvdpau_radeonsi.so.1.0.0 est déjà présent dans le système de fichiers
lib32-mesa-vdpau : /usr/share/licenses/lib32-mesa-vdpau/LICENSE est déjà présent dans le système de fichiers
lib32-vulkan-intel : /usr/lib32/libvulkan_intel.so est déjà présent dans le système de fichiers
lib32-vulkan-intel : /usr/share/licenses/lib32-vulkan-intel/LICENSE est déjà présent dans le système de fichiers
lib32-vulkan-intel : /usr/share/vulkan/icd.d/intel_icd.i686.json est déjà présent dans le système de fichiers
lib32-vulkan-radeon : /usr/lib32/libvulkan_radeon.so est déjà présent dans le système de fichiers
lib32-vulkan-radeon : /usr/share/licenses/lib32-vulkan-radeon/LICENSE est déjà présent dans le système de fichiers
lib32-vulkan-radeon : /usr/share/vulkan/icd.d/radeon_icd.i686.json est déjà présent dans le système de fichiers
J'ai bien envie de commenter le dépôt multilib, mais puis-je le faire en toute sécurité ?

[Testing] Erreurs mises à jour lib32 - conflit fichiers

#10Messageil y a 1 semaine

Pamac ne gère pas la branche. Regarde si tu as bien cette ligne dans /etc/pacman-mirrors.conf.## Branch Pacman should use (stable, testing, unstable)
Branch = testing

[Testing] Erreurs mises à jour lib32 - conflit fichiers

#11Messageil y a 1 semaine

Oui, j'ai bien Branch=testing

[Testing] Erreurs mises à jour lib32 - conflit fichiers

#12Messageil y a 1 semaine

Essaye après reboot.

[Testing] Erreurs mises à jour lib32 - conflit fichiers

#13Messageil y a 1 semaine

Toujours la même chose après reboot : 114 paquets à mettre à jour :pleure::pleure:

J'ai posé la question à l'inter, on verra bien. :siffle:siffle

[Testing] Erreurs mises à jour lib32 - conflit fichiers

#14Messageil y a 1 semaine

Je ne pense pas que tu aies un problème avec la mise à jour qui est proposée en Unstable, mais avec pamac qui reste sur cette branche alors que pacman prend en compte /etc/pacman-mirrors.conf que tu as édité pour viser Testing..
Je soupçonne un soucis plus général de version de python.

[Testing] Erreurs mises à jour lib32 - conflit fichiers

#15Messageil y a 1 semaine

J'ai résolu le problème.
J'ai désinstallé chaque paquet incriminé un à un.
À ce moment, pamac a continué à m'ennuyer avec ces mises à jour.
J'ai encore rebooté, là je n'ai plus eu que les màj de testing. Les maj lib32 n'étaient plus présentes.
Donc, maintenant, pamac m'indique qu'il est à jour. :gsourire::gsourire:

[Testing] Erreurs mises à jour lib32 - conflit fichiers

#16Messageil y a 1 semaine

Salut Obelix, tu veux dire que tu as supprimé chaque fichier à la main ? Tu as du en passer du temps mais seul le résultat compte, hein ? :clap

[Testing] Erreurs mises à jour lib32 - conflit fichiers

#17Messageil y a 1 semaine

Ben oui, c'est ce que j'ai été obligé de faire, mais avec Zsh, ça va plus vite. :gsourire::gsourire:

[Testing] Erreurs mises à jour lib32 - conflit fichiers

#18Messageil y a 1 semaine

pourtant le lien donné à l'inter te recommandait --overwrite ... :lol:

[Testing] Erreurs mises à jour lib32 - conflit fichiers

#19Messageil y a 1 semaine

Oui, tout à fait, j'ai essayé, mais le retour me revoyait des erreurs.
Mais c'est sûrement moi qui l'ai mal employé :desole::gsourire:

[Testing] Erreurs mises à jour lib32 - conflit fichiers

#20Messageil y a 1 semaine

Je reviens sur ce sujet que je pensais résolu.
J'ai eu aujourd'hui 147 paquets à mettre à jour, avec des lib32 et j'ai encore eu le message impossible de mettre à jour, car fichiers déjà présents dans le système.

Donc pour que cela fonctionne, j'ai dû désinstaller lib32-expat, lib32-gnutls, lib32-harfbuzz, lib32-libva-mesa, lib32-mesa, lib32-mesa-vdpau-lib32-vulkan-intel, lin32-vulkan-raedon, lib32-zstd.

puis, seulement faire les màj qui ont à ce moment réussi. Mais est-ce normal ou cela va-t-il devenir récurrent ?

Quel est votre avis ?

Merci.

Répondre